Resolving Error 1720 while installing Portrait Database

Pd 6.0 Sp1

Issue

During PD 6.0 Sp1 database installation setup error appears:
 
Custom action MHDoSystemDataUpdates script error -2146824582, ADODB.Command: Provider cannot be found. It may not be properly installed. Line 15, Column 1"
Contact your support personnel or package vendor. "Error 1720.There is a problem with this Windows Installer package. A script required for this install to complete could not be run.

This error Appears when you have SQL SERVER 2008 or SQL SERVER 2008 R2 Database

Cause

This error appears to be related to having the wrong version of the SQL Server Native Client installed

Resolution

UPDATED: October 4, 2017
Resolution: Install SQL Native Client 11 from "SQL Server 2012 Feature Pack" on the app server.
 
Here are the links to the installs.
 
 
x64 - http://go.microsoft.com/fwlink/?LinkID=239648&clcid=0x409

Note this requirement is specified in the PD Server installation guide: "SQL Server Native Client (version 11 or later). If you are running MS SQL Server 2008, SQL Server Native Client 11 can be downloaded from the SQL Server 2012 Feature Pack web page."